package gmodel

import "gorm.io/gorm"

type FsProductModel3dLight struct {
	Id     int64   `gorm:"primary_key" json:"id"`
	Name   *string `gorm:"default:''" json:"name"`  // 灯光名称
	Info   *string `gorm:"default:''" json:"info"`  // 灯光数据（json格式）
	Status *int64  `gorm:"default:1" json:"status"` // 状态值（1：显示，0：删除）
	Ctime  *int64  `gorm:"default:0" json:"ctime"`  // 创建时间
}
type FsProductModel3dLightModel struct {
	db *gorm.DB
}

func NewFsProductModel3dLightModel(db *gorm.DB) *FsProductModel3dLightModel {
	return &FsProductModel3dLightModel{db}
}
